Skip to main content
DELETE
/
cloud
/
v1
/
file_shares
/
{project_id}
/
{region_id}
/
{file_share_id}
/
access_rule
/
{access_rule_id}
Delete file share access rule
curl --request DELETE \
  --url https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/access_rule/{access_rule_id} \
  --header 'Authorization: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

file_share_id
string<uuid4>
required

File Share ID

Example:

"bd8c47ee-e565-4e26-8840-b537e6827b08"

access_rule_id
string<uuid4>
required

Access Rule ID

Example:

"4f09d7dd-f1f8-4352-b015-741b2192db47"

Response

204

No Content